<?php
/**
 * @var $settings array
 * @var $expiry_date_format array
 * @var $order_status array
 * @var $user_roles array
 * @var $categories array
 * @var $is_app_connected bool
 * @var $is_pro_plan bool
 * @var $apply_coupon_for array
 * @var $display_coupon_after array
 * @var $unlock_premium_link string
 */
require_once "tabs.php";
?>
<form id="retainful-settings-form">
    <div class="card">
        <table class="form-table" role="presentation">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="<?php echo RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon'; ?>"><?php
                        esc_html_e('Enable next order coupon?', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon_1'; ?>"
                               value="1" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon'] == '1') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Yes', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon_0'; ?>"
                               value="0" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'enable_next_order_coupon'] == '0') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('No', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <p class="description">
                        <?php
                        echo sprintf(esc_html__('A single-use, unique coupon code will be generated by Retainful automatically for the next purchase when the customer places a successful order. You can view these coupon codes at %s', RNOC_TEXT_DOMAIN), '<a target="_blank" href="https://app.retainful.com/">Retainful dashboard</a>');
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_type'; ?>"><?php
                        esc_html_e('Coupon type', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_type'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_type_0'; ?>"
                               value="0" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'retainful_coupon_type'] == '0') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Percentage', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_type'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_type_1'; ?>"
                               value="1" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'retainful_coupon_type'] == '1') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Flat', RNOC_TEXT_DOMAIN); ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="app_coupon_value"><?php
                        esc_html_e('Enter the coupon amount (percentage or flat)', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <input name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_amount'; ?>"
                           type="number"
                           id="app_coupon_value"
                           value="<?php echo floatval($settings[RNOC_PLUGIN_PREFIX . 'retainful_coupon_amount']); ?>"
                           class="regular-text">
                    <p class="description">
                        <?php
                        esc_html_e('Enter the percenage or flat value of the coupon. Example: 10 (for 10 percentage). Note: If this field is empty, No coupon codes will generate!', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <?php
            if ($is_app_connected) {
                ?>
                <tr>
                    <th scope="row">
                        <label for="retainful_expire_days"><?php
                            esc_html_e('Coupon expires in ', RNOC_TEXT_DOMAIN);
                            ?></label>
                    </th>
                    <td>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_expire_days'; ?>"
                               type="number"
                               id="retainful_expire_days"
                               value="<?php echo intval($settings[RNOC_PLUGIN_PREFIX . 'retainful_expire_days']); ?>"
                               class="regular-text">
                        <?php esc_html_e(' Day(s)', RNOC_TEXT_DOMAIN); ?>
                        <p class="description">
                            <?php
                            esc_html_e('How many days the coupon is valid? After the entered number of days coupon will automatically expire.', RNOC_TEXT_DOMAIN);
                            ?><br>
                            <strong>
                                <?php
                                esc_html_e('Note: Please leave empty or put 0 to never expire.', RNOC_TEXT_DOMAIN);
                                ?>
                            </strong>
                            <br>
                            <a href="https://app.retainful.com" target="_blank"><?php
                                esc_html_e('Send automatic email follow-ups to the customers before the coupon expires.', RNOC_TEXT_DOMAIN);
                                ?>
                            </a>
                        </p>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="expire_date_format"><?php
                            esc_html_e('Coupon expiry date format ', RNOC_TEXT_DOMAIN);
                            ?></label>
                    </th>
                    <td>
                        <select name="<?php echo RNOC_PLUGIN_PREFIX . 'expire_date_format'; ?>"
                                id="expire_date_format"
                                class="regular-text">
                            <?php
                            if (!empty($expiry_date_format)) {
                                foreach ($expiry_date_format as $key => $label) {
                                    ?>
                                    <option value="<?php echo $key; ?>" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'expire_date_format'] == $key) {
                                        echo "selected";
                                    } ?>><?php echo $label; ?></option>
                                    <?php
                                }
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <?php
            }
            ?>
            <tr>
                <th scope="row">
                    <label for="retainful_coupon_applicable_to"><?php
                        esc_html_e('Apply coupon to ', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_coupon_applicable_to'; ?>"
                            id="retainful_coupon_applicable_to"
                            class="regular-text">
                        <?php
                        if (!empty($apply_coupon_for)) {
                            foreach ($apply_coupon_for as $key => $label) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'retainful_coupon_applicable_to'] == $key) {
                                    echo "selected";
                                } ?>><?php echo $label; ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="<?php echo RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon'; ?>"><?php
                        esc_html_e('Allow next order coupons for orders created in the backend and also for old orders (when resending the email notification)', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon_1'; ?>"
                               value="1" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon'] == '1') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Yes', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon_0'; ?>"
                               value="0" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'automatically_generate_coupon'] == '0') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('No', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <p class="description">
                        <?php
                        echo esc_html__('The unique code will be generated when you try re-sending the email notification for an order in the backend', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="<?php echo RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page'; ?>"><?php
                        esc_html_e('Show next order coupon in order "Thank you" page?', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page'; ?>"
                               type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page_1'; ?>"
                               value="1" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page'] == '1') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Yes', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page'; ?>"
                               type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page_0'; ?>"
                               value="0" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'show_next_order_coupon_in_thankyou_page'] == '0') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('No', RNOC_TEXT_DOMAIN); ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="retainful_add_coupon_message_to"><?php
                        esc_html_e('Display coupon message after ', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'retainful_add_coupon_message_to'; ?>"
                            id="retainful_add_coupon_message_to"
                            class="regular-text">
                        <?php
                        if (!empty($display_coupon_after)) {
                            foreach ($display_coupon_after as $key => $label) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'retainful_add_coupon_message_to'] == $key) {
                                    echo "selected";
                                } ?>><?php echo $label; ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="retainful_coupon_message"><?php
                        esc_html_e('Coupon message to be included in the order confirmation emails to the customer ', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <?php
                    wp_editor($settings[RNOC_PLUGIN_PREFIX . 'retainful_coupon_message'], RNOC_PLUGIN_PREFIX . 'retainful_coupon_message');
                    ?>
                    <p class="description">
                        <?php
                        echo __('This message will attached to the Order Email.<br>Please use the below short codes to show the Coupon details in the message.<br><b>{{coupon_code}}</b> - Coupon code<br><b>{{coupon_amount}}</b> - Coupon amount<br><b>{{coupon_url}}</b> - Url to apply coupon automatically', RNOC_TEXT_DOMAIN);
                        if ($is_app_connected) {
                            echo __('<br><b>{{coupon_expiry_date}}</b> - Coupon expiry date(If coupon does not have any expiry days,then this will not attach to the message).<br>', RNOC_TEXT_DOMAIN);
                        }
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th>
                </th>
                <td>
                    <button type="submit" data-action="rnoc_save_noc_settings"
                            data-security="<?php echo wp_create_nonce('rnoc_save_noc_settings') ?>"
                            class="button button-primary"><?php esc_html_e('save', RNOC_TEXT_DOMAIN); ?></button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <h3><?php esc_html_e('Coupon Generation Restriction', RNOC_TEXT_DOMAIN); ?></h3>
    <div class="card">
        <table class="form-table" role="presentation">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="preferred_order_status"><?php
                        esc_html_e('Order status', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'preferred_order_status[]'; ?>"
                            id="preferred_order_status" multiple
                            class="rnoc-multi-select">
                        <?php
                        if (!empty($order_status)) {
                            foreach ($order_status as $key => $label) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php if (in_array($key, $settings[RNOC_PLUGIN_PREFIX . 'preferred_order_status'])) {
                                    echo "selected";
                                } ?>><?php echo $label; ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                    <p class="description">
                        <?php
                        esc_html_e('Coupon code will not generate until the order meet the choosed order status.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="preferred_user_roles"><?php
                        esc_html_e('User Role', RNOC_TEXT_DOMAIN);
                        ?>
                        <span class="premium-label"><?php
                            echo __('Premium', RNOC_TEXT_DOMAIN)
                            ?></span>
                    </label>
                </th>
                <td>
                    <?php
                    if ($is_pro_plan) {
                        ?>
                        <select name="<?php echo RNOC_PLUGIN_PREFIX . 'preferred_user_roles[]'; ?>"
                                id="preferred_user_roles" multiple
                                class="rnoc-multi-select">
                            <?php
                            if (!empty($user_roles)) {
                                foreach ($user_roles as $key => $label) {
                                    ?>
                                    <option value="<?php echo $key; ?>" <?php if (in_array($key, $settings[RNOC_PLUGIN_PREFIX . 'preferred_user_roles'])) {
                                        echo "selected";
                                    } ?>><?php echo $label; ?></option>
                                    <?php
                                }
                            }
                            ?>
                        </select>
                        <p class="description">
                            <?php
                            esc_html_e('Coupon codes will generate only for the selected user roles. By default coupon code will generate for all user roles.', RNOC_TEXT_DOMAIN);
                            ?>
                        </p>
                        <?php
                    } else {
                        echo $unlock_premium_link;
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="limit_per_user"><?php
                        esc_html_e('How many coupons a customer can get in his lifetime?', RNOC_TEXT_DOMAIN);
                        ?><span class="premium-label">Premium</span></label>
                </th>
                <td>
                    <?php
                    if ($is_pro_plan) {
                        ?>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'limit_per_user'; ?>"
                               type="number"
                               id="limit_per_user"
                               value="<?php echo intval($settings[RNOC_PLUGIN_PREFIX . 'limit_per_user']); ?>"
                               class="regular-text">
                        <p class="description">
                            <?php
                            esc_html_e('In order to maximize repeat purchases, you should send one unique coupon with every purchase for the next order. However, if you only want the customer to get next order coupons for 5 times in his life, you can set it to 5. In this case, the customer will receive the coupon only for 5 of his orders. starting 6th order, he will not receive the coupon', RNOC_TEXT_DOMAIN);
                            ?>
                        </p>
                        <?php
                    } else {
                        echo $unlock_premium_link;
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="minimum_sub_total"><?php
                        esc_html_e('Minimum order total', RNOC_TEXT_DOMAIN);
                        ?><span class="premium-label">Premium</span></label>
                </th>
                <td>
                    <?php
                    if ($is_pro_plan) {
                        ?>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'minimum_sub_total'; ?>"
                               type="number"
                               id="minimum_sub_total"
                               value="<?php echo intval($settings[RNOC_PLUGIN_PREFIX . 'minimum_sub_total']); ?>"
                               class="regular-text">
                        <p class="description">
                            <?php
                            esc_html_e('Coupon will generate only if the order total greater then or equal to the given value. Leave empty or put 0 for no restriction.', RNOC_TEXT_DOMAIN);
                            ?>
                        </p>
                        <?php
                    } else {
                        echo $unlock_premium_link;
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="exclude_generating_coupon_for_products"><?php
                        esc_html_e('Do not generate if the following products found in the order', RNOC_TEXT_DOMAIN);
                        ?><span class="premium-label">Premium</span></label>
                </th>
                <td>
                    <?php
                    if ($is_pro_plan) {
                        ?>
                        <select name="<?php echo RNOC_PLUGIN_PREFIX . 'exclude_generating_coupon_for_products[]'; ?>"
                                id="exclude_generating_coupon_for_products" multiple
                                class="wc-product-search"
                                data-placeholder="<?php esc_attr_e('Search for a product&hellip;', RNOC_TEXT_DOMAIN); ?>"
                                data-action="woocommerce_json_search_products_and_variations">
                            <?php
                            $product_ids = $settings[RNOC_PLUGIN_PREFIX . 'exclude_generating_coupon_for_products'];
                            foreach ($product_ids as $product_id) {
                                $product = wc_get_product($product_id);
                                if (is_object($product)) {
                                    echo '<option value="' . esc_attr($product_id) . '"' . selected(true, true, false) . '>' . htmlspecialchars(wp_kses_post($product->get_formatted_name())) . '</option>';
                                }
                            }
                            ?>
                        </select>
                        <p class="description">
                            <?php
                            esc_html_e('Coupon code will not be generated when these products were found in the order!', RNOC_TEXT_DOMAIN);
                            ?>
                        </p>
                        <?php
                    } else {
                        echo $unlock_premium_link;
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="exclude_generating_coupon_for_categories"><?php
                        esc_html_e('Do not generate if the following categories found in the order', RNOC_TEXT_DOMAIN);
                        ?>
                        <span class="premium-label"><?php
                            echo __('Premium', RNOC_TEXT_DOMAIN)
                            ?></span>
                    </label>
                </th>
                <td>
                    <?php
                    if ($is_pro_plan) {
                        ?>
                        <select name="<?php echo RNOC_PLUGIN_PREFIX . 'exclude_generating_coupon_for_categories[]'; ?>"
                                id="exclude_generating_coupon_for_categories" multiple
                                class="rnoc-multi-select">
                            <?php
                            if (!empty($categories)) {
                                foreach ($categories as $key => $label) {
                                    ?>
                                    <option value="<?php echo $key; ?>" <?php if (in_array($key, $settings[RNOC_PLUGIN_PREFIX . 'exclude_generating_coupon_for_categories'])) {
                                        echo "selected";
                                    } ?>><?php echo $label; ?></option>
                                    <?php
                                }
                            }
                            ?>
                        </select>
                        <p class="description">
                            <?php
                            esc_html_e('Next order coupon will NOT be generated if an order has products from the selected categories.', RNOC_TEXT_DOMAIN);
                            ?>
                        </p>
                        <?php
                    } else {
                        echo $unlock_premium_link;
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <th>
                </th>
                <td>
                    <button type="submit" data-action="rnoc_save_noc_settings"
                            data-security="<?php echo wp_create_nonce('rnoc_save_noc_settings') ?>"
                            class="button button-primary"><?php esc_html_e('save', RNOC_TEXT_DOMAIN); ?></button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <h3><?php esc_html_e('Coupon Usage Restriction', RNOC_TEXT_DOMAIN); ?></h3>
    <div class="card">
        <table class="form-table" role="presentation">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="minimum_spend"><?php
                        esc_html_e('Minimum spend', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <input name="<?php echo RNOC_PLUGIN_PREFIX . 'minimum_spend'; ?>"
                           type="number"
                           id="minimum_spend"
                           value="<?php echo rnocEscAttr($settings[RNOC_PLUGIN_PREFIX . 'minimum_spend']); ?>"
                           class="regular-text">
                    <p class="description">
                        <?php
                        esc_html_e('Set the minimum spend(subtotal) allowed to use the coupon.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="maximum_spend"><?php
                        esc_html_e('Maximum spend', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <input name="<?php echo RNOC_PLUGIN_PREFIX . 'maximum_spend'; ?>"
                           type="number"
                           id="maximum_spend"
                           value="<?php echo rnocEscAttr($settings[RNOC_PLUGIN_PREFIX . 'maximum_spend']); ?>"
                           class="regular-text">
                    <p class="description">
                        <?php
                        esc_html_e('Set the maximum spend(subtotal) allowed to use the coupon.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="individual_use_only"><?php
                        esc_html_e('Individual use only', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label><input name="<?php echo RNOC_PLUGIN_PREFIX . 'individual_use_only'; ?>"
                                  type="checkbox"
                                  id="individual_use_only"
                                  value="1" <?php if (isset($settings[RNOC_PLUGIN_PREFIX . 'individual_use_only'])) {
                            echo 'checked';
                        }; ?>
                                  class="regular-text">
                        <?php
                        esc_html_e('Check this box if the coupon cannot be used in conjunction with other coupons.', RNOC_TEXT_DOMAIN);
                        ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="exclude_sale_items"><?php
                        esc_html_e('Exclude sale items', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label><input name="<?php echo RNOC_PLUGIN_PREFIX . 'exclude_sale_items'; ?>"
                                  type="checkbox"
                                  id="exclude_sale_items"
                                  value="1" <?php if (isset($settings[RNOC_PLUGIN_PREFIX . 'exclude_sale_items'])) {
                            echo 'checked';
                        }; ?> class="regular-text">
                        <?php
                        esc_html_e('Check this box if the coupon should not apply to items on sale. Per-item coupons will only work if the item is not on sale. Per-cart coupons will only work if there are items in the cart that are not on sale.', RNOC_TEXT_DOMAIN);
                        ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="products"><?php
                        esc_html_e('Products', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'products[]'; ?>"
                            id="products" multiple
                            class="wc-product-search"
                            data-placeholder="<?php esc_attr_e('Search for a product&hellip;', RNOC_TEXT_DOMAIN); ?>"
                            data-action="woocommerce_json_search_products_and_variations">
                        <?php
                        $product_ids = $settings[RNOC_PLUGIN_PREFIX . 'products'];
                        foreach ($product_ids as $product_id) {
                            $product = wc_get_product($product_id);
                            if (is_object($product)) {
                                echo '<option value="' . esc_attr($product_id) . '"' . selected(true, true, false) . '>' . htmlspecialchars(wp_kses_post($product->get_formatted_name())) . '</option>';
                            }
                        }
                        ?>
                    </select>
                    <p class="description">
                        <?php
                        esc_html_e('Product that the coupon code will be applied to, or that need to be in the cart in order for the "Fixed cart discount" to be applied.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="exclude_products"><?php
                        esc_html_e('Exclude products', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'exclude_products[]'; ?>"
                            id="exclude_products" multiple
                            class="wc-product-search"
                            data-placeholder="<?php esc_attr_e('Search for a product&hellip;', RNOC_TEXT_DOMAIN); ?>"
                            data-action="woocommerce_json_search_products_and_variations">
                        <?php
                        $product_ids = $settings[RNOC_PLUGIN_PREFIX . 'exclude_products'];
                        foreach ($product_ids as $product_id) {
                            $product = wc_get_product($product_id);
                            if (is_object($product)) {
                                echo '<option value="' . esc_attr($product_id) . '"' . selected(true, true, false) . '>' . htmlspecialchars(wp_kses_post($product->get_formatted_name())) . '</option>';
                            }
                        }
                        ?>
                    </select>
                    <p class="description">
                        <?php
                        esc_html_e('Product that the coupon code will not applied to, or cannot be in the cart in order for the "Fixed cart discount" to be applied.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="product_categories"><?php
                        esc_html_e('Product Categories', RNOC_TEXT_DOMAIN);
                        ?>
                    </label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'product_categories[]'; ?>"
                            id="product_categories" multiple="multiple"
                            class="rnoc-multi-select">
                        <?php
                        if (!empty($categories)) {
                            foreach ($categories as $key => $label) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php if (in_array($key, $settings[RNOC_PLUGIN_PREFIX . 'product_categories'])) {
                                    echo "selected";
                                } ?>><?php echo $label; ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                    <p class="description">
                        <?php
                        esc_html_e('Product categories that the coupon code will be applied to, or that need to be in the cart in order for the "Fixed cart discount" to be applied.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="exclude_product_categories"><?php
                        esc_html_e('Exclude product Categories', RNOC_TEXT_DOMAIN);
                        ?>
                    </label>
                </th>
                <td>
                    <select name="<?php echo RNOC_PLUGIN_PREFIX . 'exclude_product_categories[]'; ?>"
                            id="exclude_product_categories" multiple="multiple"
                            class="rnoc-multi-select">
                        <?php
                        if (!empty($categories)) {
                            foreach ($categories as $key => $label) {
                                ?>
                                <option value="<?php echo $key; ?>" <?php if (in_array($key, $settings[RNOC_PLUGIN_PREFIX . 'exclude_product_categories'])) {
                                    echo "selected";
                                } ?>><?php echo $label; ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                    <p class="description">
                        <?php
                        esc_html_e('Product categories that the coupon code will not applied to, or cannot be in the cart in order for the "Fixed cart discount" to be applied.', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th>
                </th>
                <td>
                    <button type="submit" data-action="rnoc_save_noc_settings"
                            data-security="<?php echo wp_create_nonce('rnoc_save_noc_settings') ?>"
                            class="button button-primary"><?php esc_html_e('save', RNOC_TEXT_DOMAIN); ?></button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <h3><?php esc_html_e('Coupon applied response', RNOC_TEXT_DOMAIN); ?></h3>
    <div class="card">
        <table class="form-table" role="presentation">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="<?php echo RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup'; ?>"><?php
                        esc_html_e('Enable response popup', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup_1'; ?>"
                               value="1" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup'] == '1') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('Yes', RNOC_TEXT_DOMAIN); ?>
                    </label>
                    <label>
                        <input name="<?php echo RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup'; ?>" type="radio"
                               id="<?php echo RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup_0'; ?>"
                               value="0" <?php if ($settings[RNOC_PLUGIN_PREFIX . 'enable_coupon_applied_popup'] == '0') {
                            echo "checked";
                        } ?>>
                        <?php esc_html_e('No', RNOC_TEXT_DOMAIN); ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="coupon_applied_popup_design"><?php
                        esc_html_e('Popup contents', RNOC_TEXT_DOMAIN);
                        ?></label>
                </th>
                <td>
                    <?php
                    wp_editor($settings[RNOC_PLUGIN_PREFIX . 'coupon_applied_popup_design'], RNOC_PLUGIN_PREFIX . 'coupon_applied_popup_design');
                    ?>
                    <p class="description">
                        <?php
                        echo __('Please use the below short codes to show the Coupon details in the popup.<br><b>{{coupon_code}}</b> - Coupon code<br><b>{{coupon_amount}}</b> - Coupon amount<br><b>{{shop_url}}</b> - Shop URL<br><b>{{cart_url}}</b> - Cart URL<br><b>{{checkout_url}}</b> - Checkout URL', RNOC_TEXT_DOMAIN);
                        ?>
                    </p>
                </td>
            </tr>
            <tr>
                <th>
                </th>
                <td>
                    <button type="submit" data-action="rnoc_save_noc_settings"
                            data-security="<?php echo wp_create_nonce('rnoc_save_noc_settings') ?>"
                            class="button button-primary"><?php esc_html_e('save', RNOC_TEXT_DOMAIN); ?></button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <button type="submit" data-action="rnoc_save_noc_settings"
            data-security="<?php echo wp_create_nonce('rnoc_save_noc_settings') ?>"
            class="button button-primary button-right-fixed"><i
                class="dashicons dashicons-yes"></i>&nbsp;&nbsp;<span><?php esc_html_e('save', RNOC_TEXT_DOMAIN); ?></span>
    </button>
</form>